import ru.ifmo.validate.*;

public class Validate implements Validator {

    final long maxN = 1000000000000000000L;

	public void validate(ValidatingScanner inf) {
        int tests = inf.nextInt(1, 2000);
        inf.eoln();
        for (int i = 0; i < tests; i++) {
            long L = inf.nextLong(1, maxN);
            long R = inf.nextLong(L, maxN);
            inf.eoln();
        }
        inf.close();
    }
}